RedCrawler API
Moderation V1

Modmail Action V1

Perform an action on a modmail conversation: archive, unarchive, highlight, unhighlight, approve, disapprove, mute, unmute.

POST /api/v1/moderate/modmail/action

Perform an action on a modmail conversation: archive, unarchive, highlight, unhighlight, approve, disapprove, mute, unmute.

Body parameters

NameTypeRequiredDescription
conversation_idstringYesModmail conversation ID.
actionstringYesAction: archive, unarchive, highlight, unhighlight, approve, disapprove, mute, unmute.
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/action" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"conversation_id": "<conversation_id>", "action": "<action>", "bearer": "<bearer>", "proxy": "<proxy>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/action", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "conversation_id": "<conversation_id>",
  "action": "<action>",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/moderate/modmail/action"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "conversation_id": "<conversation_id>",
  "action": "<action>",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "conversations": {
      "isAuto": false,
      "participant": {
        "isMod": false,
        "isAdmin": false,
        "name": "Holiday_Idea_8736",
        "isOp": false,
        "isParticipant": true,
        "isApproved": true,
        "isHidden": true,
        "id": 240709440491921,
        "isDeleted": false
      },
      "objIds": [
        {
          "id": "4u37kz",
          "key": "messages"
        },
        {
          "id": "1j6idd",
          "key": "modActions"
        },
        {
          "id": "4u40v0",
          "key": "messages"
        }
      ],
      "isRepliable": true,
      "lastUserUpdate": "1970-01-01T00:00:00+00:00",
      "isInternal": false,
      "lastModUpdate": "2026-04-29T15:30:13.743984+00:00",
      "authors": [
        {
          "isMod": true,
          "isAdmin": false,
          "name": "Motor_Tip8865",
          "isOp": true,
          "isParticipant": false,
          "isApproved": true,
          "isHidden": true,
          "id": 230442051071342,
          "isDeleted": false
        },
        {
          "isMod": true,
          "isAdmin": false,
          "name": "Motor_Tip8865",
          "isOp": true,
          "isParticipant": false,
          "isApproved": true,
          "isHidden": true,
          "id": 230442051071342,
          "isDeleted": false
        },
        {
          "isMod": true,
          "isAdmin": false,
          "name": "Motor_Tip8865",
          "isOp": true,
          "isParticipant": false,
          "isApproved": true,
          "isHidden": false,
          "id": 230442051071342,
          "isDeleted": false
        }
      ],
      "lastUpdated": "2026-04-29T15:30:13.743984+00:00",
      "legacyFirstMessageId": null,
      "state": 0,
      "conversationType": "sr_user",
      "lastUnread": null,
      "owner": {
        "displayName": "RedCrawlerAPI",
        "type": "subreddit",
        "id": "t5_hmeujo"
      },
      "subject": "test",
      "id": "3dlnig",
      "isHighlighted": false,
      "numMessages": 2
    },
    "messages": {
      "4u40v0": {
        "body": "<!-- SC_OFF --><div class=\"md\"><p>You have been <a href=\"https://www.reddithelp.com/en/categories/reddit-101/moderators/modmail-muting\">temporarily muted</a> from <a href=\"/r/RedCrawlerAPI\">r/RedCrawlerAPI</a>. You will not be able to message the moderators of <a href=\"/r/RedCrawlerAPI\">r/RedCrawlerAPI</a> for 3 days.</p>\n</div><!-- SC_ON -->",
        "author": {
          "isMod": true,
          "isAdmin": false,
          "name": "Motor_Tip8865",
          "isOp": true,
          "isParticipant": false,
          "isApproved": true,
          "isHidden": true,
          "id": 230442051071342,
          "isDeleted": false
        },
        "isInternal": false,
        "date": "2026-04-29T15:30:13.743984+00:00",
        "bodyMarkdown": "You have been [temporarily muted](https://www.reddithelp.com/en/categories/reddit-101/moderators/modmail-muting) from r/RedCrawlerAPI. You will not be able to message the moderators of r/RedCrawlerAPI for 3 days.",
        "id": "4u40v0",
        "participatingAs": "moderator"
      },
      "4u37kz": {
        "body": "<!-- SC_OFF --><div class=\"md\"><p>test</p>\n</div><!-- SC_ON -->",
        "author": {
          "isMod": true,
          "isAdmin": false,
          "name": "Motor_Tip8865",
          "isOp": true,
          "isParticipant": false,
          "isApproved": true,
          "isHidden": true,
          "id": 230442051071342,
          "isDeleted": false
        },
        "isInternal": false,
        "date": "2026-04-29T12:01:46.707172+00:00",
        "bodyMarkdown": "test",
        "id": "4u37kz",
        "participatingAs": "moderator"
      }
    },
    "user": {
      "recentComments": {},
      "muteStatus": {
        "muteCount": 1,
        "isMuted": true,
        "endDate": "2026-05-02T15:30:13.388000+00:00",
        "reason": "https://mod.reddit.com/mail/perma/3dlnig"
      },
      "name": "Holiday_Idea_8736",
      "created": "2026-04-29T10:26:11.705000+00:00",
      "banStatus": {
        "endDate": null,
        "reason": "",
        "isBanned": false,
        "isPermanent": false
      },
      "isSuspended": false,
      "approveStatus": {
        "isApproved": true
      },
      "isShadowBanned": false,
      "recentPosts": {},
      "recentConvos": {
        "3dm7vq": {
          "date": "2026-04-29T15:30:13.426873+00:00",
          "permalink": "https://mod.reddit.com/mail/perma/3dm7vq",
          "id": "3dm7vq",
          "subject": "You have been muted from r/RedCrawlerAPI"
        },
        "3dlftd": {
          "date": "2026-04-29T10:28:32.815355+00:00",
          "permalink": "https://mod.reddit.com/mail/perma/3dlftd",
          "id": "3dlftd",
          "subject": "you are an approved user"
        },
        "3dlnig": {
          "date": "2026-04-29T15:30:13.743984+00:00",
          "permalink": "https://mod.reddit.com/mail/perma/3dlnig",
          "id": "3dlnig",
          "subject": "test"
        }
      },
      "id": "t2_2dboe1xo5t"
    },
    "modActions": {
      "1j6idd": {
        "date": "2026-04-29T15:30:13.736312+00:00",
        "actionTypeId": 5,
        "id": "1j6idd",
        "author": {
          "name": "Motor_Tip8865",
          "isMod": true,
          "isAdmin": false,
          "isHidden": false,
          "id": 230442051071342,
          "isDeleted": false
        }
      }
    }
  },
  "error": null,
  "timestamp": "2026-04-29T15:30:14.108695+00:00"
}

On this page